summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/museek+')
-rw-r--r--net-p2p/museek+/ChangeLog3
-rw-r--r--net-p2p/museek+/Manifest16
-rw-r--r--net-p2p/museek+/museek+-0.1.11.ebuild39
3 files changed, 23 insertions, 35 deletions
diff --git a/net-p2p/museek+/ChangeLog b/net-p2p/museek+/ChangeLog
index b7cd9a566..7cadccd1d 100644
--- a/net-p2p/museek+/ChangeLog
+++ b/net-p2p/museek+/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 23 Sep 2006; Stefan Schweizer <genstef@gentoo.org> museek+-0.1.11.ebuild:
+ misc ebuild cleanups, please take a look
+
20 Sep 2006; Santiago M. Mola <cooldwind@gmail.com>
+museek+-0.1.11.ebuild, +files/museek+-0.1.11-SConstruct.patch,
+files/museek+-0.1.11-defaults.py.patch, +files/conf.d-mulog,
diff --git a/net-p2p/museek+/Manifest b/net-p2p/museek+/Manifest
index 7463e6895..abbab767f 100644
--- a/net-p2p/museek+/Manifest
+++ b/net-p2p/museek+/Manifest
@@ -23,14 +23,14 @@ MD5 7d34938a84056d9eebcdf2b92e537d84 files/museek+-0.1.11-defaults.py.patch 338
RMD160 bb3823246e7b7c462af8b31a7c2a82d775e8b8a3 files/museek+-0.1.11-defaults.py.patch 338
SHA256 2ee545e645cb8c87333bdbdd15dbf228e34427ad13fd3be8131e87114da795cc files/museek+-0.1.11-defaults.py.patch 338
DIST museek+-0.1.11.tar.bz2 787571 RMD160 bff4a40be36303cb746b9071b9426d3c2c9c6af2 SHA1 4e3ad47b9f6ac41980c57042362fb08f6a57656e SHA256 6f4640855aae927028f8961e9a78454c0b4abd5244eb821c0b25f60150639ccf
-EBUILD museek+-0.1.11.ebuild 2620 RMD160 251838595d52668b63120b05ab25df3bd5f4dc93 SHA1 851c9bd3c84e0c9342892dd80c10f04d3c8ec3e0 SHA256 cc0b7844dd0c90676af04d738e043d8eca619b6dd7f39f1c9e9a5b9027762f2e
-MD5 41bf5284a5975cd1b66a836d772995dd museek+-0.1.11.ebuild 2620
-RMD160 251838595d52668b63120b05ab25df3bd5f4dc93 museek+-0.1.11.ebuild 2620
-SHA256 cc0b7844dd0c90676af04d738e043d8eca619b6dd7f39f1c9e9a5b9027762f2e museek+-0.1.11.ebuild 2620
-MISC ChangeLog 493 RMD160 8bae5b5cab272ae4f70f965229c6e99e5ff7d6c3 SHA1 47f8182f0d4ac802daf199c172a5ce29dab6f9bd SHA256 e16a16da8196a5d27b522820e51bb4d951dfbc28cdb4f84ba8e8fee548bd6de4
-MD5 14fdd5eb7597f6627b12ad0f974856ed ChangeLog 493
-RMD160 8bae5b5cab272ae4f70f965229c6e99e5ff7d6c3 ChangeLog 493
-SHA256 e16a16da8196a5d27b522820e51bb4d951dfbc28cdb4f84ba8e8fee548bd6de4 ChangeLog 493
+EBUILD museek+-0.1.11.ebuild 2549 RMD160 c152d703d2138d06d7279f50bda4aa5ecbdb54ac SHA1 3b7005de3d3eb93ceadf3e9086c882ea08452891 SHA256 3fae4a57d5a9c3807311c939be983d35769ae574b5ac4a8505e2a84eabd299e7
+MD5 6d1b56fc4cf2a4c714a3cd9cf1abe65c museek+-0.1.11.ebuild 2549
+RMD160 c152d703d2138d06d7279f50bda4aa5ecbdb54ac museek+-0.1.11.ebuild 2549
+SHA256 3fae4a57d5a9c3807311c939be983d35769ae574b5ac4a8505e2a84eabd299e7 museek+-0.1.11.ebuild 2549
+MISC ChangeLog 613 RMD160 418d061f6e2c069ea244bca8fb4d41527919b1b9 SHA1 6d936e0abd45dc9ede65302a4e0dd2092d8d154c SHA256 94bf739f61b6da953f7dfea9e4292cba4bf49f38921f878fa4c1cab59404aa68
+MD5 b527554e679cbdde81f0d017bfe5d09a ChangeLog 613
+RMD160 418d061f6e2c069ea244bca8fb4d41527919b1b9 ChangeLog 613
+SHA256 94bf739f61b6da953f7dfea9e4292cba4bf49f38921f878fa4c1cab59404aa68 ChangeLog 613
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
diff --git a/net-p2p/museek+/museek+-0.1.11.ebuild b/net-p2p/museek+/museek+-0.1.11.ebuild
index 2b3b0c889..9bbd95747 100644
--- a/net-p2p/museek+/museek+-0.1.11.ebuild
+++ b/net-p2p/museek+/museek+-0.1.11.ebuild
@@ -53,25 +53,12 @@ src_unpack() {
src_compile() {
local myconf=""
- if ! use qt3 ; then
- myconf="${myconf} MUSEEQ=no"
- fi
- if ! use qsa ; then
- myconf="${myconf} QSA=no"
- fi
- if ! use gtk ; then
- myconf="${myconf} MUSETUPGTK=no"
- fi
- if ! use ncurses ; then
- myconf="${myconf} MUCOUS=no"
- fi
- if ! use vorbis ; then
- myconf="${myconf} VORBIS=no"
- fi
-
- if use debug ; then
- myconf="${myconf} MULOG=cycle,debug"
- fi
+ use qt3 || myconf="${myconf} MUSEEQ=no"
+ use qsa || myconf="${myconf} QSA=no"
+ use gtk || myconf="${myconf} MUSETUPGTK=no"
+ use ncurses || myconf="${myconf} MUCOUS=no"
+ use vorbis || myconf="${myconf} VORBIS=no"
+ use debug && myconf="${myconf} MULOG=cycle,debug"
local mylinguas=""
for X in ${LANGS} ; do
@@ -82,11 +69,11 @@ src_compile() {
myconf="${myconf} MUSEEQTRANSLATIONS=${mylinguas/,$/}"
- scons ${myconf} CFLAGS="${CFLAGS}" PREFIX=/usr
+ scons ${myconf} CFLAGS="${CFLAGS}" PREFIX=/usr || die "scons failed"
}
src_install() {
- scons DESTDIR="${D}" install
+ scons DESTDIR="${D}" install || die "scons install failed"
dodoc README
if use qt3 ; then
@@ -96,13 +83,11 @@ src_install() {
fi
# conf.d and init.d scripts by SeeSchloss
- exeinto /etc/init.d
- #newexe "${FILESDIR}/conf.d-mulog" mulog
- newexe "${FILESDIR}/init.d-museekd" museekd
+ #newinitd "${FILESDIR}/init.d-mulog" mulog
+ newinitd "${FILESDIR}/init.d-museekd" museekd
- insinto /etc/conf.d
- #newins "${FILESDIR}"/conf.d-mulog mulog
- newins "${FILESDIR}/conf.d-museekd" museekd
+ #newconfd "${FILESDIR}"/conf.d-mulog mulog
+ newconfd "${FILESDIR}/conf.d-museekd" museekd
}
pkg_postinst() {